#ifndef _RF_TRANSCEIVER_H
#define _RF_TRANSCEIVER_H

#include "freertos/FreeRTOS.h"
#include "freertos/task.h"
#include "freertos/semphr.h"

#include <Arduino.h>
#include <driver/rmt.h>
#include "my_board.h"

#define RMT_RX_PIN    RX433_Pin
#define RMT_TX_PIN   TX433_Pin
#define RTM_RX_CHANNEL 0
#define RTM_TX_CHANNEL 1

void Init_RF_Receiver(void);

void Init_RF_Transmitter(void);

void RF_Control_Task(void *parameters);

#endif